Subject: bug#194 closed by Glenn Morris <[email-masked]> (Re: 23.0.60; Building from cvs on Hurd )

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#194: 23.0.60; Building from cvs on Hurd

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
194: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=194
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu May 29 16:13:06 2008
Date: Thu, 29 May 2008 19:11:17 -0400
From: Glenn Morris <[email-masked]>
To: [email-masked]
Subject: Re: 23.0.60; Building from cvs on Hurd 

This has been fixed.

>From [email-masked] Wed May  7 00:52:19 2008
From: Evans Winner <[email-masked]>
To: [email-masked]
Date: Tue,  6 May 2008 22:59:01 -0600 (MDT)
Cc: 
Subject: 23.0.60; Building from cvs on Hurd
Sender: emacs-devel-bounces+monnier=[email-masked]

I am trying to compile Emacs from today/yesterday cvs on a
freshly installed Debian/GNU/Hurd/Mach (K16) system.  (That
platform is supported, isn't it?).  I have tried a couple of
different times with different ./configure options, but
always get the compile error in sysdep.c.  I have included
what looks like the relevant bit inline below.  I'm sorry
that I have absolutely no idea how to debug non-trivial C
code.  I hope this might be useful.  Please ask for any
other desired information.

=====================

The bit the error message seems to refer to (with a few
lines of context) is:

#ifndef DOS_NT
  struct emacs_tty s;

  EMACS_GET_TTY (out, &s);

#if defined (HAVE_TERMIO) || defined (HAVE_TERMIOS)
  s.main.c_oflag |= OPOST;	/* Enable output postprocessing */
  s.main.c_oflag &= ~ONLCR;	/* Disable map of NL to CR-NL on output */
#ifdef NLDLY
  s.main.c_oflag &= ~(NLDLY|CRDLY|TABDLY|BSDLY|VTDLY|FFDLY);
  				/* No output delays */

======================

[uname -a: GNU hurd 0.3 GNU-Mach 1.3.99/Hurd-0.3 i386-AT386
GNU]

======================

Output of make bootstrap:

gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/home/thorne/src/emacs/src    -g -O2 -Wno-pointer-sign  sysdep.c
sysdep.c: In function 'wait_for_termination':
sysdep.c:491: warning: 'sigsetmask' is deprecated (declared at /usr/include/signal.h:184)
sysdep.c:494: warning: 'sigsetmask' is deprecated (declared at /usr/include/signal.h:184)
sysdep.c: In function 'child_setup_tty':
sysdep.c:605: error: 'FFDLY' undeclared (first use in this function)
sysdep.c:605: error: (Each undeclared identifier is reported only once
sysdep.c:605: error: for each function it appears in.)
sysdep.c: In function 'request_sigio':
sysdep.c:997: warning: 'sigblock' is deprecated (declared at /usr/include/signal.h:181)
sysdep.c:997: warning: 'sigsetmask' is deprecated (declared at /usr/include/signal.h:184)
sysdep.c:999: warning: 'sigblock' is deprecated (declared at /usr/include/signal.h:181)
sysdep.c:999: warning: 'sigsetmask' is deprecated (declared at /usr/include/signal.h:184)
sysdep.c: In function 'unrequest_sigio':
sysdep.c:1016: warning: 'sigblock' is deprecated (declared at /usr/include/signal.h:181)
sysdep.c:1018: warning: 'sigblock' is deprecated (declared at /usr/include/signal.h:181)
make[2]: *** [sysdep.o] Error 1
make[2]: Leaving directory `/home/thorne/src/emacs/src'
make[1]: *** [bootstrap-build] Error 2
make[1]: Leaving directory `/home/thorne/src/emacs'
make: *** [bootstrap] Error 2